<?php session_start();
  if( $_SESSION["admin"]!=true)
  {
    header("location:login.php");
    exit;
  }
 
  ?><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Manage Events</title>
   <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
    <h1>Manage Events</h1>

    <!-- Add Event Form -->
    <h2>Add Event</h2>
    <form id="addEventForm">
        <label for="eventTitle">Event Title:</label>
        <input type="text" id="eventTitle" name="eventTitle" required>

        <label for="eventDate">Event Date:</label>
        <input type="date" id="eventDate" name="eventDate" required>

        <label for="eventPlace">Event Place:</label>
        <input type="text" id="eventPlace" name="eventPlace" required>

        <label for="eventDetails">Event Details:</label>
        <textarea id="eventDetails" name="eventDetails" required></textarea>

        <button type="submit">Add Event</button>
    </form>
    <div id="eventResponseMessage"></div>

    <h2>Existing Events</h2>
    <table id="eventsTable">
        <thead>
            <tr>
                <th>ID</th>
                <th>Title</th>
                <th>Date</th>
                <th>Place</th>
                <th>Details</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody></tbody>
    </table>

    <!-- Update Event Modal -->
    <div id="updateEventModal" style="display:none;">
        <div style="background-color: #fff; padding: 20px; border-radius: 5px; width: 300px; margin: auto; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%);">
            <h2>Update Event</h2>
            <form id="updateEventForm">
                <input type="hidden" id="updateEventId" name="id">
                <label for="updateEventTitle">Event Title:</label>
                <input type="text" id="updateEventTitle" name="eventTitle" required>

                <label for="updateEventDate">Event Date:</label>
                <input type="date" id="updateEventDate" name="eventDate" required>

                <label for="updateEventPlace">Event Place:</label>
                <input type="text" id="updateEventPlace" name="eventPlace" required>

                <label for="updateEventDetails">Event Details:</label>
                <textarea id="updateEventDetails" name="eventDetails" required></textarea>

                <button type="submit">Update Event</button>
            </form>
            <button onclick="closeModal()">Cancel</button>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script type="text/javascript">
    $(document).ready(function() {
        fetchEvents();

        // Add event
        $("#addEventForm").submit(function(event) {
            event.preventDefault();
            var eventTitle = $("#eventTitle").val();
            var eventDate = $("#eventDate").val();
            var eventPlace = $("#eventPlace").val();
            var eventDetails = $("#eventDetails").val();

            $.post('manage_events.php', { action: 'addEvent', eventTitle: eventTitle, eventDate: eventDate, eventPlace: eventPlace, eventDetails: eventDetails }, function(response) {
                $("#eventResponseMessage").text(response);
                fetchEvents();
            });
        });

        // Update event
        $("#updateEventForm").submit(function(event) {
            event.preventDefault();
            var id = $("#updateEventId").val();
            var eventTitle = $("#updateEventTitle").val();
            var eventDate = $("#updateEventDate").val();
            var eventPlace = $("#updateEventPlace").val();
            var eventDetails = $("#updateEventDetails").val();

            $.post('manage_events.php', {
                action: 'updateEvent',
                id: id,
                eventTitle: eventTitle,
                eventDate: eventDate,
                eventPlace: eventPlace,
                eventDetails: eventDetails
            }, function(response) {
                alert(response);
                fetchEvents();
                closeModal();
            });
        });
    });

    // Fetch events
    function fetchEvents() {
        $.get('manage_events.php', { action: 'getEvents' }, function(data) {
            var events = JSON.parse(data);
            var tableContent = '';
            events.forEach(function(event) {
                tableContent += `
                    <tr>
                        <td>${event.ID}</td>
                        <td>${event.event_title}</td>
                        <td>${event.event_date}</td>
                        <td>${event.event_place}</td>
                        <td>${event.event_details}</td>
                        <td>
                            <button onclick="openModal(${event.ID}, '${event.event_title}', '${event.event_date}', '${event.event_place}', '${event.event_details}')">Update</button>
                            <button onclick="deleteEvent(${event.ID})">Delete</button>
                        </td>
                    </tr>
                `;
            });
            $("#eventsTable tbody").html(tableContent);
        });
    }

    // Open update modal
    function openModal(id, title, date, place, details) {
        $("#updateEventId").val(id);
        $("#updateEventTitle").val(title);
        $("#updateEventDate").val(date);
        $("#updateEventPlace").val(place);
        $("#updateEventDetails").val(details);
        $("#updateEventModal").show();
    }

    // Close update modal
    function closeModal() {
        $("#updateEventModal").hide();
    }

    // Delete event
    function deleteEvent(id) {
        if (confirm('Are you sure you want to delete this event?')) {
            $.post('manage_events.php', { action: 'deleteEvent', id: id }, function(response) {
                alert(response);
                fetchEvents();
            });
        }
    }
    </script>
</body>
</html>
