<?php session_start();
  if( $_SESSION["admin"]!=true)
  {
    header("location:login.php");
    exit;
  }
 
  ?><!DOCTYPE html>
<html>
<head>
    <title>Manage Judicial Judgments</title>
      <link rel="stylesheet" type="text/css" href="style.css">
    <script type="text/javascript" src="../script.js"></script>
</head>
<body>
<div class="container">
    <h1>Insert or Update Judicial Judgment</h1>
    <form id="judgmentForm" method="post" action="manage_judgments.php" enctype="multipart/form-data">
        <label for="officerName">Officer Name:</label>
        <input type="text" id="officerName" name="officerName"><br>
        
        <label for="caseNumber">Case Number:</label>
        <input type="text" id="caseNumber" name="caseNumber"><br>
        
        <label for="caseType">Case Type:</label>
        <input type="text" id="caseType" name="caseType"><br>
        
        <label for="caseSection">Case Section:</label>
        <input type="text" id="caseSection" name="caseSection"><br>
        
        <label for="judgmentDate">Judgment Date:</label>
        <input type="date" id="judgmentDate" name="judgmentDate"><br>
        
        <label for="courtName">Court Name:</label>
        <select id="courtName" name="courtID">
            <!-- Options will be populated dynamically -->
        </select><br>
        
        <label for="judgmentFile">Upload Judgment (PDF):</label>
        <input type="file" id="judgmentFile" name="judgmentFile"><br>
        
        <input type="hidden" id="judgmentID" name="judgmentID">
        <button type="submit">Save</button>
    </form>

    <!-- Search functionality -->
    <div>
        <label for="searchQuery">Search Judgments:</label>
        <input type="text" id="searchQuery" placeholder="Search by Case Number or Officer Name">
    </div>

    <h1>All Judicial Judgments</h1>
    <table id="judgmentsTable" border="1">
        <tr>
            <th>ID</th>
            <th>Officer Name</th>
            <th>Case Number</th>
            <th>Case Type</th>
            <th>Case Section</th>
            <th>Judgment Date</th>
            <th>Court ID</th>
            <th>Judgment Text</th>
            <th>Actions</th>
        </tr>
        <!-- Table rows will be populated dynamically -->
    </table>
</div>

<script type="text/javascript">
$(document).ready(function() {
    // Fetch and populate court names
    $.ajax({
        url: 'manage_judgments.php?fetchCourts=true',
        method: 'GET',
        dataType: 'json',
        success: function(data) {
            if(data.success) {
                data.courts.forEach(function(court) {
                    $('#courtName').append('<option value="' + court.ID + '">' + court.court_name + '</option>');
                });
            } else {
                console.log("Error fetching courts: " + data.message);
            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            console.log("Error fetching courts: " + textStatus, errorThrown);
        }
    });

    // Fetch and populate all judgments or search results
    function fetchJudgments(searchQuery = '') {
        $.ajax({
            url: 'manage_judgments.php',
            method: 'GET',
            data: { searchQuery: searchQuery },
            dataType: 'json',
            success: function(data) {
                $('#judgmentsTable').empty();
                data.forEach(function(judgment) {
                    $('#judgmentsTable').append('<tr>' +
                        '<td>' + judgment.ID + '</td>' +
                        '<td>' + judgment.OfficerName + '</td>' +
                        '<td>' + judgment.CaseNumber + '</td>' +
                        '<td>' + judgment.CaseType + '</td>' +
                        '<td>' + judgment.CaseSection + '</td>' +
                        '<td>' + judgment.JudgmentDate + '</td>' +
                        '<td>' + judgment.court_id + '</td>' +
                        '<td><a href="' + judgment.JudgmentText + '">View Judgment</a></td>' +
                        '<td class="actions">' +
                        '<button class="edit" data-id="' + judgment.ID + '">Edit</button>' +
                        '<button class="delete" data-id="' + judgment.ID + '">Delete</button>' +
                        '</td>' +
                    '</tr>');
                });

                // Delete button click event
                $('.delete').click(function() {
                    var id = $(this).data('id');
                    if (confirm('Are you sure you want to delete this judgment?')) {
                        $.ajax({
                            url: 'manage_judgments.php',
                            method: 'POST',
                            data: { deleteJudgmentID: id },
                            dataType: 'json',
                            success: function(response) {
                                if (response.success) {
                                    alert('Judgment deleted successfully.');
                                    location.reload(); // Reload to reflect changes
                                } else {
                                    alert('Error deleting judgment: ' + response.message);
                                }
                            },
                            error: function() {
                                alert('Error occurred while deleting the judgment.');
                            }
                        });
                    }
                });

                // Edit button click event
                $('.edit').click(function() {
                    var id = $(this).data('id');
                    $.ajax({
                        url: 'manage_judgments.php',
                        method: 'GET',
                        data: { id: id },
                        dataType: 'json',
                        success: function(data) {
                            $('#judgmentID').val(data.ID);
                            $('#officerName').val(data.OfficerName);
                            $('#caseNumber').val(data.CaseNumber);
                            $('#caseType').val(data.CaseType);
                            $('#caseSection').val(data.CaseSection);
                            $('#judgmentDate').val(data.JudgmentDate);
                            $('#courtName').val(data.court_id);
                        },
                        error: function() {
                            alert('Error occurred while fetching judgment details.');
                        }
                    });
                });
            },
            error: function() {
                alert('Error occurred while fetching judgments.');
            }
        });
    }

    // Initial load
    fetchJudgments();

    // Search functionality
    $('#searchQuery').keyup(function() {
        var searchQuery = $(this).val();
        fetchJudgments(searchQuery); // Fetch based on the search query
    });

    // Form submission for adding/editing judgment
    $('#judgmentForm').submit(function(event) {
        event.preventDefault();
        var formData = new FormData(this);
        formData.append('action', $('#judgmentID').val() ? 'update' : 'insert');
        
        $.ajax({
            url: 'manage_judgments.php',
            method: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            dataType: 'json',
            success: function(response) {
                if (response.success) {
                    alert('Judgment saved successfully.');
                    location.reload();
                } else {
                    alert('Error: ' + response.message);
                }
            },
            error: function() {
                alert('Error occurred during submission.');
            }
        });
    });
});
</script>
</body>
</html>

<style type="text/css">
    
    body {
    font-family: Arial, sans-serif;
    background-color: #f5f5f5;
    margin: 0;
    padding: 0;
}

.container {
    width: 80%;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
    text-align: center;
    color: #333;
}

form {
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #ddd;
    background-color: #fafafa;
}

label {
    display: block;
    margin-bottom: 6px;
    font-weight: bold;
}

input[type="text"],
input[type="date"],
input[type="file"],
select,
textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

button {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 10px 20px;
    text-align: center;
    font-size: 16px;
    cursor: pointer;
    margin-top: 10px;
    border-radius: 4px;
}

button:hover {
    background-color: #45a049;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

table, th, td {
    border: 1px solid #ddd;
}

th, td {
    padding: 12px;
    text-align: left;
}

th {
    background-color: #f2f2f2;
}

tr:nth-child(even) {
    background-color: #f9f9f9;
}

.actions {
    display: flex;
    gap: 10px;
}

</style>
