<?php
include '../connection.php';

$action = $_POST['action'] ?? $_GET['action'] ?? '';

switch ($action) {
    case 'addEvent':
        $eventTitle = $_POST['eventTitle'];
        $eventDate = $_POST['eventDate'];
        $eventPlace = $_POST['eventPlace'];
        $eventDetails = $_POST['eventDetails'];
        addEvent($eventTitle, $eventDate, $eventPlace, $eventDetails);
        break;
    case 'updateEvent':
        $id = $_POST['id'];
        $eventTitle = $_POST['eventTitle'];
        $eventDate = $_POST['eventDate'];
        $eventPlace = $_POST['eventPlace'];
        $eventDetails = $_POST['eventDetails'];
        updateEvent($id, $eventTitle, $eventDate, $eventPlace, $eventDetails);
        break;
    case 'getEvents':
        getEvents();
        break;
    case 'deleteEvent':
        $id = $_POST['id'];
        deleteEvent($id);
        break;
}

function addEvent($eventTitle, $eventDate, $eventPlace, $eventDetails) {
    global $conn;
    $insertQuery = "INSERT INTO events (event_title, event_date, event_place, event_details) VALUES (?, ?, ?, ?)";
    $stmt = $conn->prepare($insertQuery);
    $stmt->bind_param("ssss", $eventTitle, $eventDate, $eventPlace, $eventDetails);
    if ($stmt->execute()) {
        echo "Event added successfully.";
    } else {
        echo "Error adding event.";
    }
    $stmt->close();
}

function updateEvent($id, $eventTitle, $eventDate, $eventPlace, $eventDetails) {
    global $conn;
    $updateQuery = "UPDATE events SET event_title = ?, event_date = ?, event_place = ?, event_details = ? WHERE ID = ?";
    $stmt = $conn->prepare($updateQuery);
    $stmt->bind_param("ssssi", $eventTitle, $eventDate, $eventPlace, $eventDetails, $id);
    if ($stmt->execute()) {
        echo "Event updated successfully.";
    } else {
        echo "Error updating event.";
    }
    $stmt->close();
}

function getEvents() {
    global $conn;
    $query = "SELECT ID, event_title, event_date, event_place, event_details FROM events WHERE 1";
    $result = $conn->query($query);
    $events = array();
    while ($row = $result->fetch_assoc()) {
        $events[] = $row;
    }
    echo json_encode($events);
}

function deleteEvent($id) {
    global $conn;
    $deleteQuery = "DELETE FROM events WHERE ID = ?";
    $stmt = $conn->prepare($deleteQuery);
    $stmt->bind_param("i", $id);
    if ($stmt->execute()) {
        echo "Event deleted successfully.";
    } else {
        echo "Error deleting event.";
    }
    $stmt->close();
}
?>
