<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>District Judiciary Buner</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="" name="keywords">
    <meta content="" name="description">

    <!-- Favicon -->
    <link href="img/favicon.ico" rel="icon">

    <!-- Google Web Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Heebo:wght@400;500;600;700&family=Montserrat:wght@400;500;600;700&display=swap" rel="stylesheet">

    <!-- Icon Font Stylesheet -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css" rel="stylesheet">

    <!-- Libraries Stylesheet -->
    <link href="lib/animate/animate.min.css" rel="stylesheet">
    <link href="lib/owlcarousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="lib/tempusdominus/css/tempusdominus-bootstrap-4.min.css" rel="stylesheet" />

    <!-- Customized Bootstrap Stylesheet -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Template Stylesheet -->
    <link href="css/style.css" rel="stylesheet">

    <style>
        #searchInput {
            margin: 20px 0;
            width: 100%;
            padding: 10px;
            font-size: 16px;
        }
        
        .navbar-nav {
            /* Center the navbar links */
            display: flex;
            justify-content: center;
            flex: 1;
        }

        .navbar-nav .nav-item {
            padding: 0 10px;
        }
    </style>
</head>

<body>
    <div class="container-xxl bg-white p-0">
        <!-- Spinner Start -->
        <div id="spinner" class="show bg-white position-fixed translate-middle w-100 vh-100 top-50 start-50 d-flex align-items-center justify-content-center">
        </div>
        <!-- Spinner End -->

        <!-- Header Start -->
        <div class="container-fluid bg-dark px-0"><br>
            <div class="row gx-0">
                <a href="index.php" class="navbar-brand w-100 h-100 m-0 p-0 d-flex align-items-center justify-content-center">
                    <h5 class="m-0 text-primary text-uppercase">District Judiciary Buner</h5>
                </a>
                <div class="col-lg-3 bg-dark d-none d-lg-block">
                </div>
                <div class="col-lg-9">
                    <nav class="navbar navbar-expand-lg bg-dark navbar-dark p-3 p-lg-0">
                        <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse justify-content-between" id="navbarCollapse">
                            <div class="navbar-nav mr-auto py-0">
                                <a href="index.php" class="nav-item nav-link ">Home</a>
                                <a href="causelist.php" class="nav-item nav-link">Cause List</a>
                                <a href="news.php" class="nav-item nav-link ">News & Events</a>
                                <a href="jobs.php" class="nav-item nav-link ">Tenders & Jobs</a>
                                <a href="judicial.php" class="nav-item nav-link">Judicial Officers</a>
                                <a href="downloads.php" class="nav-item nav-link active">Downloads</a>
                                <a href="about.php" class="nav-item nav-link">About Us</a>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
        </div>
        <!-- Search Input -->
        <div class="container">
            <input type="text" id="searchInput" class="form-control" placeholder="Search for documents..." onkeyup="searchContent()">
        </div>

        <!-- Room Start -->
        <div class="container-xxl py-5">
            <div class="container">
                <div class="text-center wow fadeInUp" data-wow-delay="0.1s">
                    <h6 class="section-title text-center text-primary text-uppercase">Necessary Files For Public</h6>
                </div><br><br>

                <?php
                include './connection.php';

                // Fetch unique categories
                $categoryQuery = "SELECT DISTINCT `record_category` FROM `record_keeper`";
                $categoryResult = $conn->query($categoryQuery);

                if ($categoryResult && $categoryResult->num_rows > 0) {
                    // Loop through each category
                    while ($categoryRow = $categoryResult->fetch_assoc()) {
                        $category = $categoryRow["record_category"];

                        // Display the category title
                        echo '<h2>' . htmlspecialchars($category) . '</h2>';

                        // Fetch records for the current category
                        $q2 = "SELECT `ID`, `record_subject`, `record_category`, `record_date`, `file_name` FROM `record_keeper` WHERE `record_category` = '$category' ORDER BY ID DESC";
                        $result2 = $conn->query($q2);

                        if ($result2 && $result2->num_rows > 0) {
                            $i = 1;
                            while ($row2 = $result2->fetch_assoc()) {
                                // Wrap each record in a div with the class "record-item"
                                echo '<div class="record-item">';
                                echo '<p class="record-subject">' . 'No. ' . $i . ': &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  <b>' . htmlspecialchars($row2["record_subject"]) . '</b>';
                                echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="./Administrator/uploads/Downloads/' . htmlspecialchars($row2["file_name"]) . '" target="_blank">View/Download</a></p>';
                                echo '</div>';
                                $i++;
                            }
                        } else {
                            // If no records for this category
                            echo '<p>No records available in this category.</p>';
                        }
                    }
                } else {
                    echo '<p>No categories found.</p>';
                }
                ?>
 
                <br><br><br>
            </div>
        </div>
        <!-- Room End -->

    </div>

    <script>
        function searchContent() {
            // Get the search query and all the content on the page
            var input = document.getElementById('searchInput').value.toLowerCase();
            var content = document.querySelectorAll('.record-item'); // Assuming each record is wrapped in an element with the class .record-item

            // Loop through each content item
            content.forEach(function (item) {
                var subject = item.querySelector('.record-subject').textContent.toLowerCase();  // Target the subject text of the record

                // Check if the search query matches the subject
                if (subject.includes(input)) {
                    item.style.display = '';  // Show matching item
                } else {
                    item.style.display = 'none';  // Hide non-matching item
                }
            });
        }
    </script>
</body>

</html>

<?php 
include 'footer.php';
?>
