<?php
include './Administrator/connection.php';
ini_set('display_errors', 1);
error_reporting(E_ALL);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>District Judiciary Buner</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <link href="img/favicon.ico" rel="icon">
    <link href="https://fonts.googleapis.com/css2?family=Heebo:wght@400;500;600;700&family=Montserrat:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css" rel="stylesheet">
    <link href="lib/animate/animate.min.css" rel="stylesheet">
    <link href="lib/owlcarousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="lib/tempusdominus/css/tempusdominus-bootstrap-4.min.css" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">

    <style>
        .job-tender-card {
            background-color: #fff;
            border-radius: 8px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            padding: 20px;
            margin-bottom: 20px;
            transition: transform 0.3s ease-in-out;
        }

        .job-tender-card:hover {
            transform: translateY(-5px);
        }

        .job-tender-card h5 {
            font-size: 1.25rem;
            font-weight: 600;
            color: #333;
        }

        .job-tender-card p {
            font-size: 1rem;
            color: #666;
            margin-bottom: 10px;
        }

        .job-tender-card a {
            text-decoration: none;
            font-weight: 600;
            color: #0066cc;
            transition: color 0.3s ease-in-out;
        }

        .job-tender-card a:hover {
            color: #004d99;
        }

        .job-tender-list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 20px;
        }

        .section-title {
            font-size: 2rem;
            font-weight: 600;
            margin-bottom: 20px;
        }

        .job-tender-link {
            display: block;
            margin-top: 20px;
            font-size: 1rem;
            font-weight: 600;
            color: #0066cc;
        }

        .job-tender-link:hover {
            color: #004d99;
        }
    </style>
</head>
<body>
    <div class="container-xxl bg-white p-0">
        <!-- Spinner Start -->
        <div id="spinner" class="show bg-white position-fixed translate-middle w-100 vh-100 top-50 start-50 d-flex align-items-center justify-content-center">
        </div>
        <!-- Spinner End -->

        <!-- Header Start -->
        <div class="container-fluid bg-dark px-0"><br>
            <div class="row gx-0">
                <a href="index.php" class="navbar-brand w-100 h-100 m-0 p-0 d-flex align-items-center justify-content-center">
                    <h5 class="m-0 text-primary text-uppercase">District Judiciary Buner</h5>
                </a>
                <div class="col-lg-3 bg-dark d-none d-lg-block">
                </div>
                <div class="col-lg-9">
                    <nav class="navbar navbar-expand-lg bg-dark navbar-dark p-3 p-lg-0">
                        <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse justify-content-between" id="navbarCollapse">
                            <div class="navbar-nav mr-auto py-0">
                                <a href="index.php" class="nav-item nav-link ">Home</a>
                                <a href="causelist.php" class="nav-item nav-link">Cause List</a>
                                <a href="news.php" class="nav-item nav-link ">News & Events</a>
                                <a href="jobs.php" class="nav-item nav-link active">Tenders & Jobs</a>
                                <a href="judicial.php" class="nav-item nav-link">Judicial Officers</a>
                                <a href="downloads.php" class="nav-item nav-link">Downloads</a>
                                <a href="about.php" class="nav-item nav-link">About Us</a>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
        </div>


        <!-- Jobs & Tenders Start -->
        <div class="container-xxl py-5">
            <div class="container">
                <div class="text-center wow fadeInUp" data-wow-delay="0.1s">
                    <h6 class="section-title text-center text-primary text-uppercase">Jobs & Tenders</h6>
                   <br><br>
                </div>
                <div class="job-tender-list">
                    <!-- Jobs -->
                    <?php
                    $q2 = "SELECT `ID`, `full_subject`, `starting_date`, `ending_date`, `file_location`, `status` FROM `recruitments` WHERE status = 1";
                    $result2 = $conn->query($q2);

                    if ($result2 === false) {
                        echo "Error: " . $conn->error;
                    } else {
                        if ($result2->num_rows > 0) {
                            while ($row2 = $result2->fetch_assoc()) {
                                echo '<div class="job-tender-card wow fadeInUp" data-wow-delay="0.1s">
                                    <h5>' . htmlspecialchars($row2["full_subject"], ENT_QUOTES, 'UTF-8') . '</h5>
                                    <p>Expire Date: ' . htmlspecialchars($row2["ending_date"], ENT_QUOTES, 'UTF-8') . '</p>
                                    <a href="/Administrator/uploads/Jobs/' . htmlspecialchars($row2["file_location"], ENT_QUOTES, 'UTF-8') . '" target="_blank">Click to View & Download</a>
                                </div>';
                                
                            }
                        } else {
                            echo "<p>No active jobs found.</p>";
                        }
                    }
                    ?>
                    <!-- Tenders -->
                    <?php
                    $q2 = "SELECT `ID`, `tender_title`, `tender_date`, `tender_place`, `tender_details`, `file_location`, `status` FROM `tenders` WHERE status = 1";
                    $result2 = $conn->query($q2);

                    if ($result2 === false) {
                        echo "Error: " . $conn->error;
                    } else {
                        if ($result2->num_rows > 0) {
                            while ($row2 = $result2->fetch_assoc()) {
                                echo '<div class="job-tender-card wow fadeInUp" data-wow-delay="0.1s">
                                    <h5>' . htmlspecialchars($row2["tender_title"], ENT_QUOTES, 'UTF-8') . '</h5>
                                    <p>Date: ' . htmlspecialchars($row2["tender_date"], ENT_QUOTES, 'UTF-8') . '</p>
                                    <p>Place: ' . htmlspecialchars($row2["tender_place"], ENT_QUOTES, 'UTF-8') . '</p>
                                    <p>Details: ' . htmlspecialchars($row2["tender_details"], ENT_QUOTES, 'UTF-8') . '</p>
                                    <a href="./Administrator' . htmlspecialchars($row2["file_location"], ENT_QUOTES, 'UTF-8') . '" target="_blank">Click to View & Download</a>
                                </div>';
                            }
                        } else {
                            echo "<p>No active tenders found.</p>";
                        }
                    }
                    ?>
                    
                </div>
            </div>
        </div>
        <!-- Jobs & Tenders End -->
    </div>
    <?php include 'footer.php'; ?>
</body>
</html>
