<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>District Judicairy Buner</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="" name="keywords">
    <meta content="" name="description">

    <!-- Favicon -->
    <link href="img/favicon.ico" rel="icon">

    <!-- Google Web Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Heebo:wght@400;500;600;700&family=Montserrat:wght@400;500;600;700&display=swap" rel="stylesheet">  

    <!-- Icon Font Stylesheet -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css" rel="stylesheet">

    <!-- Libraries Stylesheet -->
    <link href="lib/animate/animate.min.css" rel="stylesheet">
    <link href="lib/owlcarousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="lib/tempusdominus/css/tempusdominus-bootstrap-4.min.css" rel="stylesheet" />

    <!-- Customized Bootstrap Stylesheet -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Template Stylesheet -->
    <link href="css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <style>
        .card {
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
            max-width: 300px;
            margin: auto;
            text-align: center;
            font-family: arial;
            margin-bottom: 6px;
            margin-top: 6px;
        }

        .title {
            color: grey;
            font-size: 18px;
        }

        button {
            border: none;
            outline: 0;
            display: inline-block;
            padding: 8px;
            color: white;
            background-color: #000;
            text-align: center;
            cursor: pointer;
            width: 100%;
            font-size: 18px;
        }

        a {
            text-decoration: none;
            font-size: 22px;
            color: black;
        }

        button:hover, a:hover {
            opacity: 0.7;
        }

        .default-image {
            border-radius: 50%;
            background-color: #ccc;
            width: 96%;
            margin-top: 6px;
            max-height: 270px;
        }
    </style>
</head>

<body>
    <div class="container-xxl bg-white p-0">
        <!-- Spinner Start -->
        <div id="spinner" class="show bg-white position-fixed translate-middle w-100 vh-100 top-50 start-50 d-flex align-items-center justify-content-center">
        </div>
        <!-- Spinner End -->

        <!-- Header Start -->
        <div class="container-fluid bg-dark px-0"><br>
            <div class="row gx-0">
                <a href="index.php" class="navbar-brand w-100 h-100 m-0 p-0 d-flex align-items-center justify-content-center">
                    <h5 class="m-0 text-primary text-uppercase">District Judiciary Buner</h5>
                </a>
                <div class="col-lg-3 bg-dark d-none d-lg-block">
                </div>
                <div class="col-lg-9">
                    <nav class="navbar navbar-expand-lg bg-dark navbar-dark p-3 p-lg-0">
                        <button type="button" class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse justify-content-between" id="navbarCollapse">
                            <div class="navbar-nav mr-auto py-0">
                                <a href="index.php" class="nav-item nav-link ">Home</a>
                                <a href="causelist.php" class="nav-item nav-link">Cause List</a>
                                <a href="news.php" class="nav-item nav-link ">News & Events</a>
                                <a href="jobs.php" class="nav-item nav-link">Tenders & Jobs</a>
                                <a href="judicial.php" class="nav-item nav-link active">Judicial Officers</a>
                                <a href="downloads.php" class="nav-item nav-link">Downloads</a>
                                <a href="about.php" class="nav-item nav-link">About Us</a>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
        </div>

        <!-- Judicial Officers Section -->
        <div class="container-xxl py-5">
            <div class="container">
                <div class="text-center wow fadeInUp" data-wow-delay="0.1s">
                    <h2 class="mb-5">Judicial <span class="text-primary text-uppercase"> Officers</span></h2>
                </div>
                <div class="row g-4">
                    <?php
                    include './connection.php';

                    // Use JOIN to fetch related data from both tables
                    $query = "SELECT presiding_officers.ID, presiding_officers.officer_name, presiding_officers.officer_status, 
                            presiding_officers.pic_path, district_courts.court_name 
                            FROM presiding_officers 
                            JOIN district_courts ON presiding_officers.court_id = district_courts.ID";
                    $result = $conn->query($query);

                    if ($result && $result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {

                            // Check if pic_path is empty and set default image if so
                            $picPath = !empty($row["pic_path"]) ? "./Administrator" . htmlspecialchars($row["pic_path"]) : "default.jpg";

                            echo '<div class="card" style="border-radius: 13px;">';
                            echo '<img src="' . $picPath . '" class="default-image">';
                            echo '<h4>' . htmlspecialchars($row["officer_name"]) . '</h4>';
                            echo '<p class="title"><b>' . htmlspecialchars($row["court_name"]) . '</b></p>';

                            // Display status
                            $status = ($row["officer_status"] == 0) ? 'Transferred' : 'Present';
                            echo '<p>Status: <b>' . htmlspecialchars($status) . '</b></p>';
                            echo '</div>';
                        }
                    } else {
                        echo '<p>No judicial officers found.</p>';
                    }

                    $conn->close();
                    ?>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <?php include 'footer.php'; ?>
</body>

</html>
